System.Web 2.0.0.0 System.Enum

This enumeration determines session-state activation for an entire Web application. This value can be used in the pages configuration-file section to affect all .aspx pages in the Web application for the scope of the configuration file. The type allows programmatic access to the pages configuration section.

Used to determine session-state activation for a single Web page or an entire Web application.

- Field
  System.Web.Configuration.PagesEnableSessionState

  Session state is disabled.

  2.0.0.0
- Field
  System.Web.Configuration.PagesEnableSessionState

  Session state is enabled, but not writable.

  2.0.0.0
- Field
  System.Web.Configuration.PagesEnableSessionState

  Session state is enabled.

  2.0.0.0